Package org.optaplanner.core.impl.score.buildin.hardsoft

## Class HardSoftScoreInliner

- java.lang.Object
- - org.optaplanner.core.impl.score.inliner.ScoreInliner<HardSoftScore>
  - - org.optaplanner.core.impl.score.buildin.hardsoft.HardSoftScoreInliner

-     public class HardSoftScoreInliner
      extends ScoreInliner<HardSoftScore>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected int` | `hardScore` |
    `protected int` | `softScore` |

    - ### Fields inherited from class org.optaplanner.core.impl.score.inliner.ScoreInliner

      `constraintMatchEnabled`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `HardSoftScoreInliner​(boolean constraintMatchEnabled)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IntWeightedScoreImpacter` | `buildWeightedScoreImpacter​(HardSoftScore constraintWeight)` |
    `HardSoftScore` | `extractScore​(int initScore)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### hardScore

          protected int hardScore

    - #### softScore

          protected int softScore

  - ### Constructor Detail

    - #### HardSoftScoreInliner

          protected HardSoftScoreInliner​(boolean constraintMatchEnabled)

  - ### Method Detail

    - #### buildWeightedScoreImpacter

          public IntWeightedScoreImpacter buildWeightedScoreImpacter​(HardSoftScore constraintWeight)

      Specified by:
        `buildWeightedScoreImpacter` in class `ScoreInliner<HardSoftScore>`

    - #### extractScore

          public HardSoftScore extractScore​(int initScore)

      Specified by:
        `extractScore` in class `ScoreInliner<HardSoftScore>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`